org.eclipse.incquery.runtime.localsearch.planner.cost.impl

## Class VariableBindingBasedCostEstimator

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.planner.cost.impl.VariableBindingBasedCostEstimator

- All Implemented Interfaces:
    ICostEstimator

  Deprecated.
  This is used by `LocalSearchPlannerStrategy`. Use the `LocalSearchRuntimeBasedStrategy` and its belonging components instead.

      @Deprecated
      public class VariableBindingBasedCostEstimator
      extends java.lang.Object
      implements ICostEstimator

  This class can be used to calculate cost of application of a constraint with a given adornment. For now the logic is based on the following principles:
- The transitive closures, NACs and count finds are the most expensive operations
- The number of free variables increase the cost
- If all the variables of a constraint are free, then its cost equals to twice the number of its parameter variables. This solves the problem of unnecessary iteration over instances at the beginning of a plan (thus causing very long run times when executing the plan) by applying constraints based on structural features as soon as possible.

Author:
  Marton Bur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableBindingBasedCostEstimator()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCost(SubPlan currentPlan, PConstraint constraint)` Deprecated. According to the current variable binding estimates the cost of the application of the given constraint

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableBindingBasedCostEstimator

          public VariableBindingBasedCostEstimator()

      Deprecated.

  - ### Method Detail

    - #### getCost

          public double getCost(SubPlan currentPlan,
                                PConstraint constraint)

      Deprecated.
      Description copied from interface: `ICostEstimator`
      According to the current variable binding estimates the cost of the application of the given constraint
      Specified by:
        `getCost` in interface `ICostEstimator`